Subject: [Ltru] Draft-ietf-ltru-4646bis-22//Issue#40//Section 3.4-point 16

From: Lang Gérard <[email-masked]>
Date: Mon, 18 May 2009 13:53:51 +0200

Dear All,

Concerning the point in question, may i suggest to replace the words "the registyration authority for ISI 3166-1" by the words "the ISO 3166 Maintenance Agency (ISO 3166/MA)" ?
Bien cordialement.
Gérard LANG

-----Message d'origine-----
De : [email-masked] [mailto:[email-masked]] De la part de [email-masked]
Envoyé : lundi 18 mai 2009 12:46
À : [email-masked]
Objet : Ltru Digest, Vol 51, Issue 22

If you have received this digest without all the individual message attachments you will need to update your digest options in your list subscription.  To do so, go to 

https://www.ietf.org/mailman/listinfo/ltru

Click the 'Unsubscribe or edit options' button, log in, and set "Get MIME or Plain Text Digests?" to MIME.  You can set this option globally for all the list digests you receive at this point.

Send Ltru mailing list submissions to
	[email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
	https://www.ietf.org/mailman/listinfo/ltru
or, via email, send a message with subject or body 'help' to
	[email-masked]

You can reach the person managing the list at
	[email-masked]

When replying, please edit your Subject line so it is more specific than "Re: Contents of Ltru digest..."

Today's Topics:

   1. ABSOLUTELY intolerable (John Cowan)
   2. Re: ABSOLUTELY intolerable (Doug Ewell)
   3. Re-opening issue #40  (was: ABSOLUTELY intolerable)
      (Randy Presuhn)
   4. Re: ABSOLUTELY intolerable (Martin J. D?rst)
   5. Issue 40: Re: Section 3.4-16 on ISO 3166 vs UN M49 RE: Ltru
      Digest, Vol 50, Issue 42 (Martin J. D?rst)
   6. Re: Ticket #37: AD Issue #4: delete last sentence in Section
      2.2.9 (Martin J. D?rst)
   7. Re: can't find a reference for ticket #31 (Martin J. D?rst)
   8. Re: can't find a reference for ticket #31 (Kent Karlsson)

----------------------------------------------------------------------

Message: 1
Date: Sun, 17 May 2009 16:03:47 -0400
From: John Cowan <[email-masked]>
Subject: [Ltru] ABSOLUTELY intolerable
To: Doug Ewell <[email-masked]>
Cc: LTRU Working Group <[email-masked]>
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=us-ascii

Doug Ewell scripsit:

> That means we should STOP micro-dinking the text and should STOP 
> trying to dream up ways to make it even more perfect, and we should do 
> as Randy has been trying to tell us: wrap this project up unless there 
> is some piece of text that is wrong or ambiguous or misleading to the 
> point of being ABSOLUTELY intolerable.

+1 in this case, but if the reference to the non-existent ISO 3166
Registration Authority is still in place, I consider that ABSOLUTELY intolerable.

-- 
Man has no body distinct from his soul,              John Cowan
for that called body is a portion of the soul        [email-masked]
discerned by the five senses,                        http://www.ccil.org/~cowan
the chief inlets of the soul in this age.  --William Blake

------------------------------

Message: 2
Date: Sun, 17 May 2009 15:36:54 -0600
From: "Doug Ewell" <[email-masked]>
Subject: Re: [Ltru] ABSOLUTELY intolerable
To: "LTRU Working Group" <[email-masked]>
Message-ID: <3462F84856E446BEAB6352EE5D9930F4@DGBP7M81>
Content-Type: text/plain; format=flowed; charset="utf-8";
	reply-type=original

John Cowan <cowan at ccil dot org> wrote:

> ... if the reference to the non-existent ISO 3166 Registration 
> Authority is still in place, I consider that ABSOLUTELY intolerable.

That should be a quick, easy, and non-controversial correction to make.

--
Doug Ewell  *  Thornton, Colorado, USA  *  RFC 4645  *  UTN #14 http://www.ewellic.org http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages  ?

------------------------------

Message: 3
Date: Sun, 17 May 2009 20:00:29 -0700
From: "Randy Presuhn" <[email-masked]>
Subject: [Ltru] Re-opening issue #40  (was: ABSOLUTELY intolerable)
To: "LTRU Working Group" <[email-masked]>
Message-ID: <009e01c9d764$ce1d54e0$6801a8c0@oemcomputer>
Content-Type: text/plain;	charset="iso-8859-1"

Hi -

As co-chair:
I promised I'd declare this "too late" unless it could be proven to cause interoperability problems.  But since this is apparently so critical to interoperability that you've been reduced to shouting, we'll treat this is a request to re-open issue #40.

So, issue #40 is reopened.

I'd REALLY appreciate it if folks would include issue numbers on their subject lines.  I've got other stuff to do, so I'll leave it to the document shepherd to decide when to declare consensus on this and close the issue.

Randy

----- Original Message ----- 
> From: "John Cowan" <[email-masked]>
> To: "Doug Ewell" <[email-masked]>
> Cc: "LTRU Working Group" <[email-masked]>
> Sent: Sunday, May 17, 2009 1:03 PM
> Subject: [Ltru] ABSOLUTELY intolerable
>
> Doug Ewell scripsit:
> 
> > That means we should STOP micro-dinking the text and should STOP 
> > trying to dream up ways to make it even more perfect, and we should 
> > do as Randy has been trying to tell us: wrap this project up unless 
> > there is some piece of text that is wrong or ambiguous or misleading 
> > to the point of being ABSOLUTELY intolerable.
> 
> +1 in this case, but if the reference to the non-existent ISO 3166
> Registration Authority is still in place, I consider that ABSOLUTELY 
> intolerable.
> 
> -- 
> Man has no body distinct from his soul,              John Cowan
> for that called body is a portion of the soul        [email-masked]
> discerned by the five senses,                        http://www.ccil.org/~cowan
> the chief inlets of the soul in this age.  --William Blake 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ltru

------------------------------

Message: 4
Date: Mon, 18 May 2009 18:17:24 +0900
From: "Martin J. D?rst" <[email-masked]>
Subject: Re: [Ltru] ABSOLUTELY intolerable
To: John Cowan <[email-masked]>
Cc: LTRU Working Group <[email-masked]>, Doug Ewell <[email-masked]>
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed

(as document shepherd)

John, can you say exactly what changes to what document are necessary in your view, and which issue this relates to, or point to a mail where that has been done?

[Everybody, please make sure issue numbers don't get lost in mail threads, or get added back in when getting back to a specific issue.]

Regards,    Martin.

On 2009/05/18 5:03, John Cowan wrote:
> Doug Ewell scripsit:
>
>> That means we should STOP micro-dinking the text and should STOP 
>> trying to dream up ways to make it even more perfect, and we should 
>> do as Randy has been trying to tell us: wrap this project up unless 
>> there is some piece of text that is wrong or ambiguous or misleading 
>> to the point of being ABSOLUTELY intolerable.
>
> +1 in this case, but if the reference to the non-existent ISO 3166
> Registration Authority is still in place, I consider that ABSOLUTELY 
> intolerable.
>

--
#-# Martin J. D?rst, Professor, Aoyama Gakuin University
#-# http://www.sw.it.aoyama.ac.jp   mailto:[email-masked]

------------------------------

Message: 5
Date: Mon, 18 May 2009 18:46:00 +0900
From: "Martin J. D?rst" <[email-masked]>
Subject: [Ltru] Issue 40: Re: Section 3.4-16 on ISO 3166 vs UN M49 RE:
	Ltru Digest, Vol 50, Issue 42
To: John Cowan <[email-masked]>
Cc: LTRU Working Group <[email-masked]>
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed

[co-chair and shepherd hat on]

Okay, as Randy has reopened issue 40, and I have found the relevant mail 
with the change proposal, I herewith declare that there is consensus for 
the fix below (I haven't seen anybody opposing to this factual fix), and 
instruct the editors to edit their text accordingly.

Regards,    Martin.

P.S.: Randy, can I ask you to update 
http://trac.tools.ietf.org/wg/ltru/trac/ticket/40? You seem to be 
particularly at ease with that tool, whereas I have repeatedly not been 
able to get my head around it. To my defense, I can prove that I have 
successfully submitted and updated bugs in Bugzilla and Redmine, but the 
tool used at the IETF, or the way it's used at the IETF (or maybe it's 
just me), somehow always escapes my grip (at the moment, all IETF sites 
are very slow (excusable, it's still Sunday for them), and it's 
impossible for me to log into the tracking system.

On 2009/05/05 4:48, John Cowan wrote:
> Randy Presuhn scripsit:
>
>> If this is supposed to be a new issue, I will declare it "too late"
>> unless it can be demonstrated to cause interoperability problems.
>
> The sentence in question is the 3rd sentence of bullet point 16 of
> Section 3.4.  It says that registrants SHOULD do something which
> technically is impossible, because the registration authority they
> are asked to petition does not exist.  The error is easily patched by
> s/registration authority/maintenance agency/ in 3.4-16, and leaving it
> in would be an embarrassment.  Please reconsider.
>

-- 
#-# Martin J. D?rst, Professor, Aoyama Gakuin University
#-# http://www.sw.it.aoyama.ac.jp   mailto:[email-masked]

------------------------------

Message: 6
Date: Mon, 18 May 2009 18:53:49 +0900
From: "Martin J. D?rst" <[email-masked]>
Subject: Re: [Ltru] Ticket #37: AD Issue #4: delete last sentence in
	Section 2.2.9
To: "Phillips, Addison" <[email-masked]>
Cc: LTRU Working Group <[email-masked]>
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed

For the record, as a technical contributor, I agree with others that the 
sentence in question should be removed (as it already has been).

I also don't understand Addison when he writes
"Therefore, it is useful to have some documentation explaining why this 
ABNF is better."
We didn't delete the reason, the mention of the errors in the previous
ABNF is still there.

Regards,    Martin.

On 2009/04/29 13:42, Phillips, Addison wrote:
> The AD points out:
>
> --
> AD review issue #4 - for details see
> http://www.ietf.org/mail-archive/web/ltru/current/msg12399.html
>
> 4). In Section 2.2.9:
>
>      Note well: although the 'Language-Tag' production appearing in this
>      document is functionally equivalent to the one in [RFC4646], it has
>      been changed to prevent certain errors in well-formedness arising
>      from the old 'grandfathered' production. This version of the ABNF is
>      RECOMMENDED as a replacement for the older version.
>
> (nit) I suggest deleting the last sentence, as it doesn't provide any
> useful information to a reader (as the WG wants
> draft-ietf-ltru-4646bis-21bis.txt to replace RFC 4646, it is clear that
> the WG believes that the new ABNF is better). Also I don't think it uses
> RFC 2119 keyword properly.
> --
>
> I think this is not necessary. We have had, as a user community, a long-standing problem with stale references to BCP 47. We want to help ensure that implementers and standardizers use the right ABNF. It is well-known that many implementers rely excessively or even exclusively on the ABNF to determine "what is right". Therefore, it is useful to have some documentation explaining why this ABNF is better.
>
> Proposed resolution: no change
>
> Addison Phillips
> Globalization Architect -- Lab126
>
> Internationalization is not a feature.
> It is an architecture.
>
>
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ltru
>

-- 
#-# Martin J. D?rst, Professor, Aoyama Gakuin University
#-# http://www.sw.it.aoyama.ac.jp   mailto:[email-masked]

------------------------------

Message: 7
Date: Mon, 18 May 2009 19:21:12 +0900
From: "Martin J. D?rst" <[email-masked]>
Subject: Re: [Ltru] can't find a reference for ticket #31
To: Kent Karlsson <[email-masked]>
Cc: LTRU Working Group <[email-masked]>
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed

Hello Kent,

[co-chair/shepherd head on]

Can you please make a definite and positive textual proposal for how you 
think what currently is:

   [ISO639-2]
               International Organization for Standardization, "ISO 639-
               2:1998. Codes for the representation of names of languages
               -- Part 2: Alpha-3 code, first edition", 1998.

should look? I hope this will allow us to close this issue soon.

Regards,   Martin.

On 2009/05/15 19:21, Kent Karlsson wrote:
> Well, the "first edition" as part of the title, which was the issue
> originally raised, is still there:
>
> [ISO639-2] International Organization for Standardization, ?ISO 639-2:1998.
> Codes for the representation of names of languages -- Part 2: Alpha-3 code,
> first edition,? 1998.
>
> The edition number isn't mentioned at all for the other ISO references.
> I think it is redundant to mention the year twice, but both drafts do so
> regularly here.
>
> (not that this is a big deal)
>
>      /kent k
>
>
> Den 2009-05-15 05.08, skrev "Randy Presuhn"<[email-masked]>:
>
>> Hi -
>>
>> Before I close this ticket - is everyone happy with the
>> revised text? (ISO document titles in 4646bis)
>>
>> Randy
>>
>> _______________________________________________
>> Ltru mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/ltru
>
>
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ltru
>

-- 
#-# Martin J. D?rst, Professor, Aoyama Gakuin University
#-# http://www.sw.it.aoyama.ac.jp   mailto:[email-masked]

------------------------------

Message: 8
Date: Mon, 18 May 2009 12:47:16 +0200
From: Kent Karlsson <[email-masked]>
Subject: Re: [Ltru] can't find a reference for ticket #31
To: "Martin J. D?rst " <[email-masked]>
Cc: LTRU Working Group <[email-masked]>
Message-ID: <[email-masked]>
Content-Type: text/plain;	charset="ISO-8859-1"

Quoting directly from 4645bis (version 10), where this reference is ok
(I would have put the start quote a little later, in general for the ISO
references, but now that does not matter):

   [ISO639-2]
              International Organization for Standardization, "ISO 639-
              2:1998.  Codes for the representation of names of
              languages -- Part 2: Alpha-3 code", October 1998.

        /kent k

Den 2009-05-18 12.21, skrev "Martin J. D?rst" <[email-masked]>:

> Hello Kent,
> 
> [co-chair/shepherd head on]
> 
> Can you please make a definite and positive textual proposal for how you
> think what currently is:
> 
>    [ISO639-2]
>                International Organization for Standardization, "ISO 639-
>                2:1998. Codes for the representation of names of languages
>                -- Part 2: Alpha-3 code, first edition", 1998.
> 
> should look? I hope this will allow us to close this issue soon.
> 
> Regards,   Martin.
> 
> On 2009/05/15 19:21, Kent Karlsson wrote:
>> Well, the "first edition" as part of the title, which was the issue
>> originally raised, is still there:
>> 
>> [ISO639-2] International Organization for Standardization, ?ISO 639-2:1998.
>> Codes for the representation of names of languages -- Part 2: Alpha-3 code,
>> first edition,? 1998.
>> 
>> The edition number isn't mentioned at all for the other ISO references.
>> I think it is redundant to mention the year twice, but both drafts do so
>> regularly here.
>> 
>> (not that this is a big deal)
>> 
>>      /kent k
>> 
>> 
>> Den 2009-05-15 05.08, skrev "Randy Presuhn"<[email-masked]>:
>> 
>>> Hi -
>>> 
>>> Before I close this ticket - is everyone happy with the
>>> revised text? (ISO document titles in 4646bis)
>>> 
>>> Randy
>>> 
>>> _______________________________________________
>>> Ltru mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/ltru
>> 
>> 
>> _______________________________________________
>> Ltru mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/ltru
>> 

------------------------------

_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

End of Ltru Digest, Vol 51, Issue 22
************************************

---

From: Peter Constable <[email-masked]>
Date: Tue, 19 May 2009 11:34:47 -0700

+1

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Lang Gérard
Sent: Monday, May 18, 2009 4:54 AM
To: [email-masked]
Cc: Lang Gérard
Subject: [Ltru] Draft-ietf-ltru-4646bis-22//Issue#40//Section 3.4-point 16

Dear All,

-----Message d'origine-----
De : [email-masked] [mailto:[email-masked]] De la part de [email-masked]
Envoyé : lundi 18 mai 2009 12:46
À : [email-masked]
Objet : Ltru Digest, Vol 51, Issue 22

Today's Topics:

Message: 1

Message: 2

Message: 3

Hi -

As co-chair:

Randy

----- Original Message -----

Message: 4

(as document shepherd)

Regards,    Martin.

Message: 5

Regards,    Martin.

Message: 6

Regards,    Martin.

Message: 7

Hello Kent,

   [ISO639-2]

Regards,   Martin.

Message: 8

   [ISO639-2]

        /kent k